﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Private iPhone As Phone
	Private tmrRefresh As Timer
	Private iCounter As Int
	
	Private lblRefresh,lblRetrievedData,lblNewData As Label
	Private btnUpdateKeychain As Button
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	tmrRefresh.Initialize("tmrRefresh",1000)
	tmrRefresh.Enabled=True
End Sub

Private Sub tmrRefresh_Tick
	If iCounter=0 Then
		lblRetrievedData.Text=iPhone.KeyChainGet("keychainTest")
	End If
	iCounter=IIf(iCounter<1,10,iCounter-1)
	lblRefresh.Text=$"Retrieving keychain data ${CRLF}in ${iCounter} seconds."$
End Sub

Private Sub btnUpdateKeychain_Click
	Dim newData As String=GenerateRandomString
	iPhone.KeyChainPut("keychainTest",newData)	
	lblNewData.Text=newData
End Sub

Private Sub GenerateRandomString As String
	Dim uppercaseArray() As String = Array As String ("A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z")
	Dim numbersArray()   As String = Array As String ("0","1","2","3","4","5","6","7","8","9")
	Dim charList As List
	charList.Initialize
	charList.AddAll(numbersArray)
	charList.AddAll(uppercaseArray)
	Dim strRandom As StringBuilder
	strRandom.Initialize
	For i = 1 To 10
		strRandom.Append(charList.Get(Rnd(0, charList.Size)))
	Next
	Return strRandom
End Sub